splineKnots {splines} | R Documentation

## Knot Vector from a Spline

### Description

Return the knot vector corresponding to a spline object.

### Usage

    splineKnots(object)

### Arguments

`object` | an object that inherits from class `"spline"`.

### Value

A non-decreasing numeric vector of knot positions.

### Author(s)

Douglas Bates and Bill Venables

### Examples

    data( women )
    ispl <- interpSpline( weight ~ height, women )
    splineKnots( ispl )

[Package Contents]